Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.i18n.shared
Interface HasDirectionEstimator

All Known Implementing Classes:
  Anchor, AutoDirectionHandler, CheckBox, DateLabel, DialogBox.CaptionImpl, DirectionalTextHelper, DoubleBox, HTML, Hyperlink, InlineHTML, InlineHyperlink, InlineLabel, IntegerBox, Label, LabelBase, ListBox, LongBox, NumberLabel, PasswordTextBox, RadioButton, TextArea, TextBox, TextBoxBase, ValueBox, ValueBoxBase, ValueLabel

    public interface HasDirectionEstimator

Interface for objects that have a direction estimator.

Method Summary
`DirectionEstimator` | `getDirectionEstimator()` Returns the `DirectionEstimator` object.
`void` | `setDirectionEstimator(boolean enabled)` Toggles on / off direction estimation.
`void` | `setDirectionEstimator(DirectionEstimator directionEstimator)` Sets the `DirectionEstimator` object.

Method Detail

### getDirectionEstimator

    DirectionEstimator getDirectionEstimator()

  Returns the `DirectionEstimator` object.

### setDirectionEstimator

    void setDirectionEstimator(boolean enabled)

  Toggles on / off direction estimation.

  Parameters:
    `enabled` - Whether to enable direction estimation. If `true`, sets the `DirectionEstimator` object to a default `DirectionEstimator`.

### setDirectionEstimator

    void setDirectionEstimator(DirectionEstimator directionEstimator)

  Sets the `DirectionEstimator` object.

  Parameters:
    `directionEstimator` - The `DirectionEstimator` to be set. `null` means turning off direction estimation.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD